org.appng.core.repository

## Interface JobExecutionRecordRepository

- All Superinterfaces:
    org.springframework.data.repository.CrudRepository<JobExecutionRecord,Integer>, org.springframework.data.jpa.repository.JpaRepository<JobExecutionRecord,Integer>, org.springframework.data.jpa.repository.JpaSpecificationExecutor<JobExecutionRecord>, org.springframework.data.repository.PagingAndSortingRepository<JobExecutionRecord,Integer>, org.springframework.data.repository.query.QueryByExampleExecutor<JobExecutionRecord>, org.springframework.data.repository.Repository<JobExecutionRecord,Integer>, SearchRepository<JobExecutionRecord,Integer>

      public interface JobExecutionRecordRepository
      extends SearchRepository<JobExecutionRecord,Integer>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<JobExecutionRecord>` | `findBySiteAndJobName(String site, String jobName)`
    `List<String>` | `getDistinctApplications(String site)`
    `List<String>` | `getDistinctJobNames(String site)`

    - ### Methods inherited from interface org.appng.persistence.repository.SearchRepository

      `createSearchQuery, detach, getHistory, getRevision, getRevisionNumber, isUnique, isUnique, search, search, search, search`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

      `deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAll, flush, getOne, save, saveAndFlush`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, delete, delete, deleteAll, exists, findOne, save`

    - ### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

      `count, exists, findAll, findOne`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaSpecificationExecutor

      `count, findAll, findAll, findAll, findOne`

- - ### Method Detail

    - #### findBySiteAndJobName

          List<JobExecutionRecord> findBySiteAndJobName(String site,
                                                        String jobName)

    - #### getDistinctApplications

          @Query(value="select distinct(j.application) from JobExecutionRecord j where j.site=?1 order by j.application")
          List<String> getDistinctApplications(String site)

    - #### getDistinctJobNames

          @Query(value="select distinct(j.jobName) from JobExecutionRecord j where j.site=?1 order by j.jobName")
          List<String> getDistinctJobNames(String site)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.